# PostSummonAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PostSummonAbAttr

Base class for defining all `Ability` Attributes post summon

#### See

`()`

#### Hierarchy (view full)

- AbAttr
  - PostSummonAbAttr
    - PostSummonRemoveArenaTagAbAttr
    - PostSummonMessageAbAttr
    - PostSummonUnnamedMessageAbAttr
    - PostSummonAddBattlerTagAbAttr
    - PostSummonStatChangeAbAttr
    - PostSummonAllyHealAbAttr
    - PostSummonClearAllyStatsAbAttr
    - DownloadAbAttr
    - PostSummonWeatherChangeAbAttr
    - PostSummonTerrainChangeAbAttr
    - PostSummonFormChangeAbAttr
    - PostSummonCopyAbilityAbAttr
    - PostSummonCopyAllyStatsAbAttr
    - PostSummonTransformAbAttr
    - ForewarnAbAttr
    - FriskAbAttr

- Defined in src/data/ability.ts:1788

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPostSummon
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostSummonAbAttr(showAbility?): PostSummonAbAttr

- #### Parameters

  - showAbility: boolean = true

  #### Returns PostSummonAbAttr

  Inherited from AbAttr.constructor

  - Defined in src/data/ability.ts:131

## Properties

### showAbility

showAbility: boolean

Inherited from AbAttr.showAbility

- Defined in src/data/ability.ts:128

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from AbAttr.addCondition

  - Defined in src/data/ability.ts:147

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from AbAttr.apply

  - Defined in src/data/ability.ts:135

### applyPostSummon

- applyPostSummon(pokemon, passive, args): boolean | Promise<boolean>

- Applies ability post summon (after switching in)

  #### Parameters

  - pokemon: default

    `Pokemon` with this ability

  - passive: boolean

    Whether this ability is a passive

  - args: any[]

    Set of unique arguments needed by this attribute

  #### Returns boolean | Promise<boolean>

  true if application of the ability succeeds

  - Defined in src/data/ability.ts:1796

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from AbAttr.getCondition

  - Defined in src/data/ability.ts:143

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from AbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:139